Last Comment Bug 692716 - e10s support for UI in Panorama
: e10s support for UI in Panorama
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 10
Assigned To: Raymond Lee [:raymondlee]
:
:
Mentors:
Depends on: 678374 691740
Blocks: fxe10s
  Show dependency treegraph
 
Reported: 2011-10-06 23:01 PDT by Raymond Lee [:raymondlee]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (893 bytes, patch)
2011-10-07 00:13 PDT, Raymond Lee [:raymondlee]
dao+bmo: review+
Details | Diff | Splinter Review
Patch for checkin (1.11 KB, patch)
2011-10-09 22:31 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review

Description Raymond Lee [:raymondlee] 2011-10-06 23:01:43 PDT
Please check the following methods:

UI_onTabSelect() - depends on patch of bug 691740 which removes that part of code.

UI_shouldLoadFavIcon() - depends on patch for bug 678374 which fixes it.

UI_hideTabView()
* gBrowser.contentWindow.focus()
Comment 1 Raymond Lee [:raymondlee] 2011-10-07 00:13:15 PDT
Created attachment 565455 [details] [diff] [review]
v1

> UI_hideTabView()
> * gBrowser.contentWindow.focus()

Replaced with gBrowser.selectedBrowser.focus()
Comment 2 Raymond Lee [:raymondlee] 2011-10-09 22:31:58 PDT
Created attachment 565868 [details] [diff] [review]
Patch for checkin

Pushed to try and waiting for results
https://tbpl.mozilla.org/?tree=Try&rev=fae7e2496c4d
Comment 3 Raymond Lee [:raymondlee] 2011-10-10 02:21:58 PDT
Passed Try!
Comment 5 Marco Bonardo [::mak] 2011-10-11 02:25:57 PDT
https://hg.mozilla.org/mozilla-central/rev/38c901ad89cc

Note You need to log in before you can comment on or make changes to this bug.